Package com.enonic.xp.task

## Class AbstractRunnableTask

- java.lang.Object
- - com.enonic.xp.task.AbstractRunnableTask

- All Implemented Interfaces:
    `RunnableTask`

      @Deprecated
      public abstract class AbstractRunnableTask
      extends Object
      implements RunnableTask

  Deprecated.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AbstractRunnableTask.Builder<T extends AbstractRunnableTask.Builder>` | Deprecated.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ContentService` | `contentService` | Deprecated.
    `protected String` | `description` | Deprecated.
    `protected TaskService` | `taskService` | Deprecated.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractRunnableTask​(AbstractRunnableTask.Builder builder)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TaskResultJson` | `createTaskResult()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.enonic.xp.task.RunnableTask

      `run`

- - ### Field Detail

    - #### description

          protected final String description

      Deprecated.

    - #### taskService

          protected final TaskService taskService

      Deprecated.

    - #### contentService

          protected ContentService contentService

      Deprecated.

  - ### Constructor Detail

    - #### AbstractRunnableTask

          protected AbstractRunnableTask​(AbstractRunnableTask.Builder builder)

      Deprecated.

  - ### Method Detail

    - #### createTaskResult

          public TaskResultJson createTaskResult()

      Deprecated.